<template>
    <b-container>
    <div>
    <b-form @submit="onSubmit" >

       <b-form-group id="input-group-2" label="Usuario:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.username"
          type= "text"
          required
          placeholder="Nombre de usuario"
        ></b-form-input>  
        </b-form-group>

      <b-form-group id="input-group-2" label="Correo electronico:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.email"
          type= "email"
          required
          placeholder="Correo electronico"
        ></b-form-input>
      </b-form-group>
      <b-form-group id="input-group-2" label="Contraseña" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.password"
          type= "password"
          required
          placeholder="Contraseña"
        ></b-form-input>
      </b-form-group>

      <b-button class = mb-4 type="submit" variant="primary">Registrarme</b-button>
    </b-form>
    
  </div>
  </b-container>
</template>

<script>
export default {
    data() {
      return {
        form: {
          username: '',
          email: '',
          password: ''
    
        },
        
      }
    },
    methods: {
      onSubmit(evt) {
        evt.preventDefault()
        fetch('http://localhost:5000/api/user/', {
            method: 'POST',
            body: JSON.stringify(this.form),
            headers:{
              "content-type": "application/json"
            }
        }).then(response => {
          if (response.ok) {
            this.$router.push('/login')
          }
        })
      },
      
    }
  }
</script>
